1. Jobs
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patters
    • Support and technical support
  • CRM
    • Properties
      • List properties
      • Properties
      • Customers
      • Companies
      • Work addresses
      • Customers
      • Companies
      • Work addresses
      • Properties
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
  • Sales
    • Opportunities
      • List opportunities
      • Opportunities
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List jobs
        GET
      • Jobs
        GET
      • Jobs
        POST
      • Jobs
        PATCH
      • Jobs
        DELETE
    • Actions
      • Put on hold
      • Mark as free of charge
      • Mark as aborted
      • Change job stage
      • Mark as complete
      • Remove on hold
  • Settings
    • List titles
      GET
    • List customer types
      GET
    • List advertising types
      GET
    • List telephone types
      GET
    • List business units
      GET
    • List user groups
      GET
    • List opportunity pipelines
      GET
    • List opportunity stages
      GET
    • List provinces
      GET
    • List job description templates
      GET
  • Webhooks
    • Webhooks
    • Example PHP script
    • Webhooks
    • Webhooks
  1. Jobs

List jobs

Developing
GET
/jobs

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Responses

🟢200Success
application/json
Headers

Bodyapplication/json

🟠400400 Bad request
🟠429429 Too many requests
🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/jobs?status=completed&closedOutcome=Aborted&sort=propertyID' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "meta": {
        "totalRecords": 0,
        "serverTime": "string"
    },
    "pagination": {
        "hasMore": true,
        "nextCursor": 0,
        "prevCursor": 0
    },
    "data": [
        {
            "id": 0,
            "createdOnDateTime": "2019-08-24T14:15:22.123Z",
            "propertyID": 0,
            "customerContactID": "string",
            "customerContact": {
                "contactID": 0,
                "fullName": "string",
                "mobile": "string",
                "telephone": "string",
                "email": "string"
            },
            "siteContactID": "string",
            "siteContact": {
                "siteContactID": 0,
                "fullName": "string",
                "mobile": "string",
                "telephone": "string",
                "email": "string"
            },
            "description": "string",
            "settingsJobDescriptionID": "string",
            "jobReportedDateTime": "2019-08-24T14:15:22.123Z",
            "customerReference": "string",
            "quotedAmount": "string",
            "priority": "Important",
            "businessUnitID": 0,
            "businessUnit": "string",
            "userGroupID": 0,
            "userGroup": "string",
            "status": "Open",
            "completed": {
                "completedByID": 0,
                "completedByUser": "string",
                "completedByType": "string",
                "completedOnDateTime": "2019-08-24T14:15:22.123Z"
            },
            "closed": {
                "closedByID": 0,
                "closedByUser": "string",
                "closedByType": "string",
                "closedOnDateTime": "2019-08-24T14:15:22.123Z",
                "closedOutcome": "string",
                "focReason": "string",
                "focNote": "string",
                "abortReason": "string",
                "abortNote": "string"
            }
        }
    ],
    "links": {
        "self": "string",
        "property": "string"
    }
}
Modified at 2026-07-16 06:06:36
Previous
Change opportunity stage
Next
Jobs
Built with